Application: gvSIG desktop - gvSIG bugs #3583
Servicio WMTS del ICV no funciona en gvSIG
06/10/2015 01:30 PM - Lluis Marqués

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: José Badia

Category: WMTS

Target version: 2.3.0-2409 (rev. org.gvsig.desktop-2.0.11p)

Severity: Minor Add-on version:

gvSIG version: 2.2.0 Add-on build:

gvSIG build: 2311 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Pasos para reproducir el bug:

1. Abrir una vista

2. Anadir una capa y seleccionar la pestafia WMTS

3. Cargar la capa topografico del servicio
http:/terramapas.icv.gva.es/topografico/'wmts?request=GetCapabilities&#38;service=WMTS

El resultado es que aparece la capa en el TOC pero no se pinta nada sobre la vista. Ademas al hacer zoom a la capa del topografico
muestra una zona errdnea que no se corresponde a la capa cargada. Adjunto log.

History

#1 - 06/10/2015 01:30 PM - Lluis Marqués
- Subject changed from Servicio WMTS del IGN no funciona en gvSIG to Servicio WMTS del ICV no funciona en gvSIG

#2 - 06/10/2015 01:55 PM - Cesar Ordinana

En el getCapabilities del servicio pone:

<ows:Get xlink:href="http://terramapas.icv.gva.es/topografico/wmts?">
<ows:Constraint name="GetEncoding">
<ows:AllowedValues>
<ows:Value>KVP</ows:Value>
</ows:AllowedValues>
</ows:Constraint>

</ows:Get>

Y mirando la wikipedia sobre WMTS dice:

WMTS specifies a number of request encodings:

- KVP (key-value-pairs) encoding.

- REST (Representational state transfer) encoding.
- SOAP (SOAP) encoding.
http://terramapas.icv.gva.es/topografico/wmts?request=GetCapabilities&#38;service=WMTS

Supongo que el problema sera que gvSIG no soportara el encoding KVP

#3 - 10/26/2015 06:51 PM - Alvaro Anguix
- Target version set to 98
- Assignee set to José Badia

#4 - 11/17/2015 12:03 PM - José Badia
- Target version changed from 98 to 2.3.0-2409 (rev. org.gvsig.desktop-2.0.115)
- Status changed from New to Fixed

Hola,

tras analizar los resultados, se ha visto que exite un error en la definicién del extent de la capa topografico (
http://terramapas.icv.gva.es/topografico/wmts?REQUEST=GetCapabilities&#38;SERVICE=WMTS&#38;VERSION=1.0.0&#38;EXCEPTIONS=applica

ion/vnd.ogc.se_xml)

<ows:WGS84BoundingBox>
<ows:LowerCorner>207256.000000 4140229.000000</ows:LowerCorner>
<ows:UpperCorner>1209991.000000 4565432.000000</ows:UpperCorner>
</ows:WGS84BoundingBox>

Parece ser que no estan en el sistema de coordenadas que corresponde y esto hace que se marque un area fuera de la zona de los datos. La

solucién pasa o por corregir este dato, o directamente eliminar esta restriccion del getCapabilities.

Al definirse mal el Bounding Box de la capa, hace que en las comprobaciones que hace gvSIG, nunca intersecte este area, con el del viewport y con
el de la superficie de la que se demanan las Tiles, no devolviendo ninguna imagen.
Como curiosidad, ver que otras capas del mismo origen si que funcionan porque no tienen definida esta restriccion:

- http://terramapas.icv.gva.es/isohipsas/wmts

- http://terramapas.icv.gva.es/ortoactualidad/wmts

#5 - 12/21/2015 01:02 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files

gvSIG.log 217 KB 06/10/2015 Lluis Marqués
